org.optaplanner.benchmark.impl

## Class XStreamXmlPlannerBenchmarkFactory

- java.lang.Object
- - org.optaplanner.benchmark.api.PlannerBenchmarkFactory
  - - org.optaplanner.benchmark.impl.AbstractPlannerBenchmarkFactory
    - - org.optaplanner.benchmark.impl.XStreamXmlPlannerBenchmarkFactory

-     public class XStreamXmlPlannerBenchmarkFactory
      extends AbstractPlannerBenchmarkFactory

  See Also:
    `PlannerBenchmarkFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.thoughtworks.xstream.XStream` | `xStream`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.AbstractPlannerBenchmarkFactory

      `plannerBenchmarkConfig, solverConfigContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XStreamXmlPlannerBenchmarkFactory()`
    `XStreamXmlPlannerBenchmarkFactory(SolverConfigContext solverConfigContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addXStreamAnnotations(Class... xStreamAnnotations)`
    `XStreamXmlPlannerBenchmarkFactory` | `configure(File benchmarkConfigFile)`
    `XStreamXmlPlannerBenchmarkFactory` | `configure(InputStream in)`
    `XStreamXmlPlannerBenchmarkFactory` | `configure(Reader reader)`
    `XStreamXmlPlannerBenchmarkFactory` | `configure(String benchmarkConfigResource)`
    `com.thoughtworks.xstream.XStream` | `getXStream()`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.AbstractPlannerBenchmarkFactory

      `buildPlannerBenchmark, buildPlannerBenchmark, buildPlannerBenchmark, checkPlannerBenchmarkConfigNotNull, getPlannerBenchmarkConfig`

    - ### Methods inherited from class org.optaplanner.benchmark.api.PlannerBenchmarkFactory

      `createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromSolverFactory, createFromSolverFactory, createFromXmlFile, createFromXmlFile, createFromXmlInputStream, createFromXmlInputStream, createFromXmlReader, createFromXmlReader, createFromXmlResource, createFromXmlResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xStream

          protected com.thoughtworks.xstream.XStream xStream

  - ### Constructor Detail

    - #### XStreamXmlPlannerBenchmarkFactory

          public XStreamXmlPlannerBenchmarkFactory()

    - #### XStreamXmlPlannerBenchmarkFactory

          public XStreamXmlPlannerBenchmarkFactory(SolverConfigContext solverConfigContext)

      Parameters:
        `solverConfigContext` - never null

  - ### Method Detail

    - #### addXStreamAnnotations

          public void addXStreamAnnotations(Class... xStreamAnnotations)

      Parameters:
        `xStreamAnnotations` - never null
      See Also:
        `XStream.processAnnotations(Class[])`

    - #### getXStream

          public com.thoughtworks.xstream.XStream getXStream()

    - #### configure

          public XStreamXmlPlannerBenchmarkFactory configure(String benchmarkConfigResource)

      Parameters:
        `benchmarkConfigResource` - never null, a classpath resource as defined by `ClassLoader.getResource(String)`
      Returns:
        this

    - #### configure

          public XStreamXmlPlannerBenchmarkFactory configure(File benchmarkConfigFile)

    - #### configure

          public XStreamXmlPlannerBenchmarkFactory configure(InputStream in)

    - #### configure

          public XStreamXmlPlannerBenchmarkFactory configure(Reader reader)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.